package com.goafanti.order.bo;

import com.goafanti.common.model.TOrderTask;

import java.math.BigDecimal;
import java.util.List;

public class InputAddTask  extends TOrderTask {
    private String serviceLife;
    private String serviceYear;
    private Integer yearSum;
    private Integer change;
    private String contractTerm;
    private String lastYear;
    private BigDecimal lastYearCapital;
    private BigDecimal lastYearIncome;
    private String sonListStr;
    private List<InputAddTask> sonList;

    public List<InputAddTask> getSonList() {
        return sonList;
    }

    public void setSonList(List<InputAddTask> sonList) {
        this.sonList = sonList;
    }

    public String getSonListStr() {
        return sonListStr;
    }

    public void setSonListStr(String sonListStr) {
        this.sonListStr = sonListStr;
    }

    public Integer getChange() {
        return change;
    }

    public void setChange(Integer change) {
        this.change = change;
    }

    public String getLastYear() {
        return lastYear;
    }

    public void setLastYear(String lastYear) {
        this.lastYear = lastYear;
    }

    public BigDecimal getLastYearCapital() {
        return lastYearCapital;
    }

    public void setLastYearCapital(BigDecimal lastYearCapital) {
        this.lastYearCapital = lastYearCapital;
    }

    public BigDecimal getLastYearIncome() {
        return lastYearIncome;
    }

    public void setLastYearIncome(BigDecimal lastYearIncome) {
        this.lastYearIncome = lastYearIncome;
    }

    public String getContractTerm() {
        return contractTerm;
    }

    public void setContractTerm(String contractTerm) {
        this.contractTerm = contractTerm;
    }

    public String getServiceLife() {
        return serviceLife;
    }

    public void setServiceLife(String serviceLife) {
        this.serviceLife = serviceLife;
    }

    public String getServiceYear() {
        return serviceYear;
    }

    public void setServiceYear(String serviceYear) {
        this.serviceYear = serviceYear;
    }

    public Integer getYearSum() {
        return yearSum;
    }

    public void setYearSum(Integer yearSum) {
        this.yearSum = yearSum;
    }


    @Override
    public String toString() {
        return "InputAddTask{" +
                "serviceLife='" + serviceLife + '\'' +
                ", serviceYear='" + serviceYear + '\'' +
                ", yearSum=" + yearSum +
                ", change=" + change +
                ", contractTerm='" + contractTerm + '\'' +
                ", lastYear='" + lastYear + '\'' +
                ", lastYearCapital=" + lastYearCapital +
                ", lastYearIncome=" + lastYearIncome +
                ", sonListStr='" + sonListStr + '\'' +
                ", sonList=" + sonList +
                '}';
    }
}
